Subject: [netmod] Question/Suggestion regarding RFC 7950

From: "Patino, Manny" <[email-masked]>
Date: Wed, 13 Apr 2022 21:49:07 +0000

Hello,

I would like to submit a request for a change to section 7.1.9 "The revision Statement" of the YANG RFC.

Reviewing current YANG models I have to scroll over 74+ lines of revision statements and 130+ lines before getting to an actual typedef to read the module. This will only continue to grow as changes to modules occur over time.

To make this more conveniently readable I'd like to propose moving all revision statements to the end of the YANG module or keeping the most recent revision at the top of the module.

Examples of YANG modules with long revisions:
https://github.com/YangModels/yang/blob/main/vendor/cisco/xr/741/Cisco-IOS-XR-clns-isis-cfg.yang
https://github.com/openconfig/public/blob/master/release/models/interfaces/openconfig-interfaces.yang

Thank you,
Manuel Patiño IV
Network Developer